
	// Dataset objects
	module.Dataset 					= Dataset;
	module.DatasetFactory 			= DatasetFactory;
	module.DatasetSchema 			= DatasetSchema;

	// Datasink objects
	module.GridDatasink				= GridDatasink;
	module.HighchartsChartDatasink	= HighchartsChartDatasink;
	module.LeafletLayerDatasink		= LeafletLayerDatasink;
	module.PassthroughDatasink		= PassthroughDatasink;
	module.PlotlyChartDatasink		= PlotlyChartDatasink;
	
	// Datasource objects
	module.LiveViewJSDatasource 	= LiveViewJSDatasource;
	module.LiveViewTupleDatasource 	= LiveViewTupleDatasource;
	
	// Other objects
	module.ColorMap					= ColorMap;
	module.LiveGrid					= LiveGrid;
	module.LiveLeafletMap			= LiveLeafletMap;
	module.LiveHighchartsChart		= LiveHighchartsChart;
	module.LivePassthrough			= LivePassthrough;
	module.LivePlotlyChart			= LivePlotlyChart;
	module.Utilities				= Utilities;
	
	return module;
})();

