;(function(angular){
	// TODO Start Change
	var moduleName 			= 'com.tibco.sb.ldm.web.plugins.livepassthrough';
	var visName 			= 'livepassthrough';
	var visDisplayName 		= 'Live Passthrough';
	var visDisplayDirective = 'live-passthrough-vis-display';
	var visEditorDirective	= 'live-passthrough-vis-editor';
	var visIcon				= 'assets/img/button/vis-type/grid_60x60.png'
	// END Change
	
	
	
	'use strict';	
	angular
		.module(moduleName, ['com.tibco.sb.ldm'])
		.run(onModuleRun);

	onModuleRun.$inject = ['PluginRegistry'];
	function onModuleRun(PluginRegistry){
		PluginRegistry.register(
			new PluginRegistry.VisualizationPlugin(visName, visDisplayDirective, visEditorDirective, {
				name: visDisplayName, //Limit length to 12 characters
				defaultConfig: {
					dataSourceId: '%datasetId%',
					availableFields: {}
				},
				previewIconUrl: visIcon
			})
		);
	}

})(angular);