// Setup application
var appname = "FrameworkApp";
//var app = angular.module(appname, []);
var app = angular.module(appname, []);

angular.element(document).ready(function() {
	angular.bootstrap(document, [appname]);				
});


// Setup controllers
app.controller('DataCtrl', function($scope, $log){	
	// Create a navigator object
	$scope.navigator = {};
	
	// Create an onUpdate function to trigger scope updates
	$scope.onUpdate = function() {
		$scope.$applyAsync();
	};
	
	// Create an init function which will be called from the HTML ng-controller attribute
	$scope.init = function(uri) {
		if(uri == undefined) return;

		// Create datasets from source information
		DataFlow.DatasetFactory.init({
			uri: uri,
			container: $scope
		}).then(
			function(result) {
				$scope.$apply();
			},
			function(err) {
				$scope.$apply();
			}
		);
	}
});


